from django.conf.urls.defaults import *

urlpatterns = patterns('muchigame.juego.views',
    # Example:
    # (r'^muchigame/', include('muchigame.apps.foo.urls.foo')),
    (r'^genera/$','genera_pass'),
    (r'^jugador/(?P<idjugador>\d+)/$','jugador_xml'),
    (r'^jugadores/$','jugadores_xml'),
    (r'^enemigos/$','enemigos_xml'),
    (r'^personaje/(?P<idpersonaje>\d+)/$','personaje_xml'),
    (r'^personajes/$','personajes_xml'),
    (r'^mundos/$','mundos_xml'),
    (r'^mundo/(?P<idmundo>\d+)/$','mundo_xml'),
    (r'^colonias/$','colonias_xml'),
    (r'^colonias_mundo/(?P<idmundo>\d+)/$','colonias_mundo_xml'),
    (r'^colonia/(?P<idcolonia>\d+)/$','colonia_xml'),
    (r'^zonas/$','zonas_xml'),
    (r'^zonas_colonia/(?P<idcolonia>\d+)/$','zonas_colonia_xml'),
    (r'^zona/(?P<idzona>\d+)/$','zona_xml'),
    (r'^mapas/$','mapas_xml'),
    (r'^mapas_zona/(?P<idzona>\d+)/$','mapas_zona_xml'),
    (r'^mapa/(?P<idmapa>\d+)/$','mapa_xml'),
    (r'^celdas/$','celdas_xml'),
    (r'^celdas_zona/(?P<idzona>\d+)/$','celdas_zona_xml'),
    (r'^especies/$','especies_xml'),
    (r'^especies_mundo/(?P<idmundo>\d+)/$','especies_mundo_xml'),
    (r'^especie/(?P<idespecie>\d+)/$','especie_xml'),
    (r'^razas/$','razas_xml'),
    (r'^razas_colonia/(?P<idcolonia>\d+)/$','razas_colonia_xml'),
    (r'^raza/(?P<idraza>\d+)/$','raza_xml'),
    (r'^clases/$','clases_xml'),
    (r'^items/$','items_xml'),
    (r'^armas/$','armas_xml'),
    (r'^armaduras/$','armaduras_xml'),
    (r'^habilidades/$','habilidades_xml'),
    (r'^habilidad/(?P<idhabilidad>\d+)/$','habilidad_xml'),
    (r'^hechizos/$','hechizos_xml'),
    (r'^hechizo/(?P<idhechizo>\d+)/$','hechizo_xml'),
    (r'^golpes/$','golpes_xml'),
    (r'^golpe/(?P<idgolpe>\d+)/$','golpe_xml'),
    (r'^movimientos_especiales/$','movimientos_especiales_xml'),
    (r'^movimiento_especiale/(?P<idmovimiento_especial>\d+)/$','movimiento_especial_xml'),
)