from django.template import Context,loader
from django.http import HttpResponse
from django.shortcuts import render_to_response
from muchigame.juego.models import *
from django.conf import settings,global_settings
from django.http import HttpResponseRedirect
from django.core.serializers import serialize ,deserialize#carga la libreria para serializar

DEFAULT_CHARSET = 'utf-8'
DATABASE_OPTIONS = {'charset': 'utf-8'} 
LANGUAGE_CODE = 'es-es'
# Create your views here.
'''def genera_pass(request):
  import sha, random
  algo = 'sha1'
  raw_password = sha.new("clave").hexdigest()
  salt = sha.new(str(random.random())).hexdigest()[:5]
  hsh = sha.new(salt+raw_password).hexdigest()
  salida = '%s$%s$%s' % (algo, salt, hsh)
  t = loader.get_template('genera_pass.html')
  c = Context({'salida': salida})
  return HttpResponse(t.render(c))
'''
def jugadores_xml(request):
  jugadores = Jugador.objects.order_by('id')
  xml = serialize('xml',jugadores)
  return HttpResponse(xml,mimetype='application/xml')

def jugador_xml(request,idjugador):
  jugador = Jugador.objects.filter(id=idjugador)
  #id lo pone por defecto django en la tabla
  xml = serialize('xml', jugador)
  return HttpResponse(xml,mimetype='application/xml')

def personaje_xml(request, idpersonaje):
  personaje = Personaje.objects.filter(id=idpersonaje)
  xml = serialize('xml', personaje)
  return HttpResponse(xml,mimetype='application/xml')

def mundos_xml(request):
  mundos = Mundo.objects.order_by('id')
  xml = serialize('xml',mundos,ensure_ascii=False)  
  return HttpResponse(xml,mimetype='application/xml; charset=\'utf-8\'')

def mundo_xml(request,idmundo):
  mundo = Mundo.objects.filter(id=idpersonaje)
  xml = serialize('xml', mundo)
  return HttpResponse(xml,mimetype='application/xml')
def colonias_mundo_xml(request,idmundo):
  return HttpResponse(serialize('xml', Colonia.objects.filter(mundo_id=idmundo)),mimetype='application/xml')
def colonias_xml(request):
  return HttpResponse(serialize('xml', Colonia.objects.order_by('id')),mimetype='application/xml')
def colonia_xml(request,idcolonia):
  return HttpResponse(serialize('xml', Colonia.objects.filter(id=idcolonia)),mimetype='application/xml')
def zonas_xml(request):
  return HttpResponse(serialize('xml', Zona.objects.order_by('id')),mimetype='application/xml')
def zonas_colonia_xml(request,idcolonia):
  return HttpResponse(serialize('xml', Zona.objects.filter(colonia_id=idcolonia)),mimetype='application/xml')
def zona_xml(request,idzona):
  return HttpResponse(serialize('xml', Zona.objects.filter(id=idzona)),mimetype='application/xml')
def mapas_xml(request):
  return HttpResponse(serialize('xml', Mapa.objects.order_by('id')),mimetype='application/xml')
def mapas_zona_xml(request,idzona):
  return HttpResponse(serialize('xml', Mapa.objects.filter(zona_id=idzona)),mimetype='application/xml')
def mapa_xml(request,idmapa):
  return HttpResponse(serialize('xml', Mapa.objects.filter(id=idmapa)),mimetype='application/xml')
def celdas_xml(request):
  return HttpResponse(serialize('xml', Celda.objects.order_by('id')),mimetype='application/xml')
def celdas_zona_xml(request,idzona):
  return HttpResponse(serialize('xml', Celda.objects.filter(zona_id=idzona)),mimetype='application/xml')
def celdas_mapa_xml(request,idmapa):
  return HttpResponse(serialize('xml', Celda.objects.filter(mapa_id=idmapa)),mimetype='application/xml')
def celda_xml(request,idcelda):
  return HttpResponse(serialize('xml', Celda.objects.filter(id=idcelda)),mimetype='application/xml')
def especies_xml(request):
  return HttpResponse(serialize('xml', Especie.objects.all()),mimetype='application/xml')
def especies_mundo_xml(request,idmundo):
  return HttpResponse(serialize('xml', Especie.objects.filter(mundo_id=idmundo)),mimetype='application/xml')
def especie_xml(request,idespecie):
  return HttpResponse(serialize('xml', Especie.objects.filter(id=idespecie)),mimetype='application/xml')
def razas_xml(request):
  return HttpResponse(serialize('xml', Raza.objects.all()),mimetype='application/xml')
def razas_colonia_xml(request,idcolonia):
  return HttpResponse(serialize('xml', Raza.objects.filter(colonia_id=idcolonia)),mimetype='application/xml')
def raza_xml(request,idraza):
  return HttpResponse(serialize('xml', Raza.objects.filter(id=idraza)),mimetype='application/xml')
def clases_xml(request):
  return HttpResponse(serialize('xml', Clase.objects.all()),mimetype='application/xml')
def armas_xml(request):
  return HttpResponse(serialize('xml', Arma.objects.all()),mimetype='application/xml')
def armaduras_xml(request):
  return HttpResponse(serialize('xml', Armadura.objects.all()),mimetype='application/xml')
def items_xml(request):
  return HttpResponse(serialize('xml', Item.objects.all()),mimetype='application/xml')
def enemigos_xml(request):
  return HttpResponse(serialize('xml', Enemigo.objects.all()),mimetype='application/xml')
def personajes_xml(request):
  return HttpResponse(serialize('xml', Personaje.objects.all()),mimetype='application/xml')
def habilidades_xml(request):
  return HttpResponse(serialize('xml', Habilidad.objects.all()),mimetype='application/xml')
def habilidad_xml(request,idhabilidad):
  return HttpResponse(serialize('xml', Habilidad.objects.filter(id=idhabilidad)),mimetype='application/xml')
def hechizos_xml(request):
  return HttpResponse(serialize('xml', Hechizo.objects.filter(tipo_dano='M')),mimetype='application/xml')
def hechizo_xml(request,idhechizo):
  return HttpResponse(serialize('xml', Hechizo.objects.filter(id=idhechizo)),mimetype='application/xml')
def golpes_xml(request):
  return HttpResponse(serialize('xml', Golpe.objects.filter(tipo_dano='C')),mimetype='application/xml')
def golpe_xml(request,idgolpe):
  return HttpResponse(serialize('xml', Golpe.objects.filter(id=idgolpe)),mimetype='application/xml')
def movimientos_especiales_xml(request):
  return HttpResponse(serialize('xml', Movimiento_Especial.objects.filter(tipo_dano='')),mimetype='application/xml')
def movimiento_especial_xml(request,idmovimiento_especial):
  return HttpResponse(serialize('xml', Movimiento_Especial.objects.filter(id=idmovimiento_especial)),mimetype='application/xml')