from django.conf.urls.defaults import *
from juego.portal.models import *
urlpatterns = patterns('juego.portal.views',#ruta donde estan las vistas de la aplicacion en PyThon
     ((r'^$'),'index'),
     ((r'^login/$'),'login'),
     ((r'^accounts/login/$'),'login'),
     ((r'^logout/$'),'logout'),
     ((r'^accions/$'),'accions'),
     ((r'^asistencias/(?P<id_jugador>\d+)/confirmar/$'),'confirmar_asistencias'),
     ((r'^asistencias/(?P<id_jugador>\d+)/rechazar/$'),'rechazar_asistencias'),
     ((r'^asistencias/$'),'asistencias'),
     ((r'^nivels/$'),'nivels'),
     ((r'^nivel/(?P<id_nivel>\d+)/$'),'correcciones'),
     ((r'^nivel/(?P<id_nivel>\d+)/aceptar/$'),'aceptar_correccion'),     
     ((r'^nivel/(?P<id_nivel>\d+)/rechazar/$'),'rechazar_correccion'),     
     ((r'^accions/(?P<id_jugador>\d+)/confirmar/$'),'confirmar_accions'),
     ((r'^accions/(?P<id_jugador>\d+)/rechazar/$'),'rechazar_accions'),
     ((r'^colonias/$'),'ver_colonias_ajax'),     
     ((r'^jugador/(?P<id_jugador>\d+)/$'),'menu_jugador'),
     #((r'^jugador/(?P<id_jugador>\d+)/edit/$'),'editar_jugador'),
     ((r'^jugador/(?P<id_jugador>\d+)/colonias/$'),'ver_colonias'),
     ((r'^jugador/(?P<id_jugador>\d+)/colonias/(?P<id_colonia>\d+)/$'),'ver_colonia'),
     ((r'^jugador/(?P<id_jugador>\d+)/colonias/(?P<id_colonia>\d+)/edit/$'),'editar_colonia'),
     ((r'^jugador/(?P<id_jugador>\d+)/colonias/add/$'),'insertar_colonia'),
     ((r'^jugador/add/$'),'insertar_jugador'),
)


urlpatterns += patterns('django.views.generic.create_update',
	((r'^jugador/(?P<object_id>\d+)/edit/$'),'update_object',{'model':Autor,'post_save_redirect':'..'}),	
)
